#                          Plugins/BuiltIn/Makefile
#
# This Makefile is different from all of the other plugins directories... 
# because there is no plugin in this directory to build.  Instead it holds all
# of the shared resources... so this makefile only contains rules to copy over
# files.
#
LEVEL = ../..

# Include the common make targets...
include $(LEVEL)/Makefile.common

# Figure out what we need to copy over...
ResourceFiles = $(filter-out CVS, $(filter-out Makefile, $(wildcard *)))

DestDirO = $(LEVEL)/Install/Plugins/BuiltIn/
DestDirG = $(LEVEL)/Install/Plugins_g/BuiltIn/

DestResourcesO = $(addprefix $(DestDirO),$(ResourceFiles))
DestResourcesG = $(addprefix $(DestDirG),$(ResourceFiles))
DestResources  = $(DestResourcesO) $(DestResourcesG)

# Define the rule to copy files over to the destination directory...
#
$(DestDirO)%: % $(DestDirO).dir
	cp $< $@
$(DestDirG)%: % $(DestDirG).dir
	cp $< $@

# all - Copy over all of the resources...
#
all:: $(DestDirO).dir $(DestDirG).dir $(DestResources)

